Tryton - Issues

 

Issue8645

Title Button is readonly after discarding a warning
Priority bug Status resolved
Superseder Nosy List ced, pokoli, reviewbot, roundup-bot
Type behavior Components sao
Assigned To ced Keywords review
Reviews 274071002
View: 274071002

Created on 2019-09-06.19:10:58 by pokoli, last changed by roundup-bot.

Messages
New changeset d0db20b4f73a by Cédric Krier in branch '5.2':
Manage rejected user warning promise
https://hg.tryton.org/sao/rev/d0db20b4f73a

New changeset 9b7121885cf1 by Cédric Krier in branch '5.0':
Manage rejected user warning promise
https://hg.tryton.org/sao/rev/9b7121885cf1

New changeset 37259bc3eb7a by Cédric Krier in branch '4.8':
Manage rejected user warning promise
https://hg.tryton.org/sao/rev/37259bc3eb7a

New changeset 3efb452efdcf by Cédric Krier in branch '4.6':
Manage rejected user warning promise
https://hg.tryton.org/sao/rev/3efb452efdcf

New changeset 9fc31b7cedd6 by Cédric Krier in branch '4.4':
Manage rejected user warning promise
https://hg.tryton.org/sao/rev/9fc31b7cedd6
New changeset 06fd19e6a441 by Cédric Krier in branch 'default':
Manage rejected user warning promise
https://hg.tryton.org/tryton-env/rev/06fd19e6a441
New changeset 1f3945c989cd by Cédric Krier in branch 'default':
Manage rejected user warning promise
https://hg.tryton.org/sao/rev/1f3945c989cd
review274071002 updated at https://codereview.tryton.org/274071002/#ps286071002
msg52442 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-10-12.17:45:12
It should be fixed with review274071002
msg51681 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-09-06.19:30:45
> What is "discading" a warning?

Continue without accepting it by using the "NO" button.
msg51680 (view) Author: [hidden] (ced) (Tryton committer) (Tryton translator) Date: 2019-09-06.19:26:15
What is "discading" a warning?
msg51679 (view) Author: [hidden] (pokoli) (Tryton committer) (Tryton translator) Date: 2019-09-06.19:10:58
When processing a sale with a higher amount that it's party limit an Warning is shown. If this warning is discarded by using the "No" button on the dialog the process buttons stays readonly. 

I will expect that the button can be clicable after discarding the warning.
History
Date User Action Args
2019-10-31 00:00:48roundup-botsetmessages: + msg52819
keyword: - backport
2019-10-24 19:10:54roundup-botsetmessages: + msg52682
2019-10-24 19:10:49roundup-botsetstatus: testing -> resolved
nosy: + roundup-bot
messages: + msg52681
2019-10-24 19:10:07cedsetkeyword: + backport
2019-10-12 18:09:10reviewbotsetnosy: + reviewbot
messages: + msg52446
2019-10-12 17:45:13cedsetstatus: chatting -> testing
reviews: 274071002
messages: + msg52442
keyword: + review
assignedto: ced
2019-09-06 19:30:45pokolisetmessages: + msg51681
2019-09-06 19:26:15cedsetstatus: unread -> chatting
nosy: + ced
messages: + msg51680
2019-09-06 19:10:58pokolicreate

Showing 10 items. Show all history (warning: this could be VERY long)